require "import"
import "android.content.Context"
import "android.os.Vibrator"

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(300) -- 300 millisekund davomida tebranish-- Fayl yo'lini aniqlash
local filePath = "/storage/emulated/0/count.txt"

-- Fayl o'qish funksiyasi
local function readCount()
    local file = io.open(filePath, "r")
    if file then
        local count = tonumber(file:read("*a"))
        file:close()
        return count or 0
    else
        return 0
    end
end

-- Faylga yozish funksiyasi
local function writeCount(count)
    local file = io.open(filePath, "w")
    file:write(tostring(count))
    file:close()
end

-- Hozirgi ishga tushirish sonini o'qish
local count = readCount()

-- Shartlar bo'yicha kod bloklarini ishga tushirish
if count == 0 then
    -- Birinchi ishga tushirish
    if service.click({{"%视频描述",}}) then
        writeCount(count + 1)
        return true
    end
else
    -- Ikkinchi va keyingi ishga tushirish
    if service.click({{"%返回"}}) then
        writeCount(0)  -- Hisobni qayta boshlash uchun
        return true
    end
end
return true
